<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfp.edward2" />
<meta itemprop="path" content="Stable" />
</div>

# Module: tfp.edward2

Edward2 probabilistic programming language.

For user guides, see:

+ [Overview](
   https://github.com/tensorflow/probability/blob/master/tensorflow_probability/python/edward2/README.md)
+ [Upgrading from Edward to Edward2](
   https://github.com/tensorflow/probability/blob/master/tensorflow_probability/python/edward2/Upgrading_From_Edward_To_Edward2.md)

## Classes

[`class RandomVariable`](../tfp/edward2/RandomVariable.md): Class for random variables.

## Functions

[`Autoregressive(...)`](../tfp/edward2/Autoregressive.md): Create a random variable for Autoregressive.

[`Bernoulli(...)`](../tfp/edward2/Bernoulli.md): Create a random variable for Bernoulli.

[`Beta(...)`](../tfp/edward2/Beta.md): Create a random variable for Beta.

[`Binomial(...)`](../tfp/edward2/Binomial.md): Create a random variable for Binomial.

[`Categorical(...)`](../tfp/edward2/Categorical.md): Create a random variable for Categorical.

[`Cauchy(...)`](../tfp/edward2/Cauchy.md): Create a random variable for Cauchy.

[`Chi2(...)`](../tfp/edward2/Chi2.md): Create a random variable for Chi2.

[`ConditionalTransformedDistribution(...)`](../tfp/edward2/ConditionalTransformedDistribution.md): Create a random variable for ConditionalTransformedDistribution.

[`Deterministic(...)`](../tfp/edward2/Deterministic.md): Create a random variable for Deterministic.

[`Dirichlet(...)`](../tfp/edward2/Dirichlet.md): Create a random variable for Dirichlet.

[`DirichletMultinomial(...)`](../tfp/edward2/DirichletMultinomial.md): Create a random variable for DirichletMultinomial.

[`ExpRelaxedOneHotCategorical(...)`](../tfp/edward2/ExpRelaxedOneHotCategorical.md): Create a random variable for ExpRelaxedOneHotCategorical.

[`Exponential(...)`](../tfp/edward2/Exponential.md): Create a random variable for Exponential.

[`Gamma(...)`](../tfp/edward2/Gamma.md): Create a random variable for Gamma.

[`Geometric(...)`](../tfp/edward2/Geometric.md): Create a random variable for Geometric.

[`HalfNormal(...)`](../tfp/edward2/HalfNormal.md): Create a random variable for HalfNormal.

[`Independent(...)`](../tfp/edward2/Independent.md): Create a random variable for Independent.

[`InverseGamma(...)`](../tfp/edward2/InverseGamma.md): Create a random variable for InverseGamma.

[`Kumaraswamy(...)`](../tfp/edward2/Kumaraswamy.md): Create a random variable for Kumaraswamy.

[`Laplace(...)`](../tfp/edward2/Laplace.md): Create a random variable for Laplace.

[`Logistic(...)`](../tfp/edward2/Logistic.md): Create a random variable for Logistic.

[`Mixture(...)`](../tfp/edward2/Mixture.md): Create a random variable for Mixture.

[`MixtureSameFamily(...)`](../tfp/edward2/MixtureSameFamily.md): Create a random variable for MixtureSameFamily.

[`Multinomial(...)`](../tfp/edward2/Multinomial.md): Create a random variable for Multinomial.

[`MultivariateNormalDiag(...)`](../tfp/edward2/MultivariateNormalDiag.md): Create a random variable for MultivariateNormalDiag.

[`MultivariateNormalFullCovariance(...)`](../tfp/edward2/MultivariateNormalFullCovariance.md): Create a random variable for MultivariateNormalFullCovariance.

[`MultivariateNormalTriL(...)`](../tfp/edward2/MultivariateNormalTriL.md): Create a random variable for MultivariateNormalTriL.

[`NegativeBinomial(...)`](../tfp/edward2/NegativeBinomial.md): Create a random variable for NegativeBinomial.

[`Normal(...)`](../tfp/edward2/Normal.md): Create a random variable for Normal.

[`OneHotCategorical(...)`](../tfp/edward2/OneHotCategorical.md): Create a random variable for OneHotCategorical.

[`Poisson(...)`](../tfp/edward2/Poisson.md): Create a random variable for Poisson.

[`PoissonLogNormalQuadratureCompound(...)`](../tfp/edward2/PoissonLogNormalQuadratureCompound.md): Create a random variable for PoissonLogNormalQuadratureCompound.

[`QuantizedDistribution(...)`](../tfp/edward2/QuantizedDistribution.md): Create a random variable for QuantizedDistribution.

[`RelaxedBernoulli(...)`](../tfp/edward2/RelaxedBernoulli.md): Create a random variable for RelaxedBernoulli.

[`RelaxedOneHotCategorical(...)`](../tfp/edward2/RelaxedOneHotCategorical.md): Create a random variable for RelaxedOneHotCategorical.

[`SinhArcsinh(...)`](../tfp/edward2/SinhArcsinh.md): Create a random variable for SinhArcsinh.

[`StudentT(...)`](../tfp/edward2/StudentT.md): Create a random variable for StudentT.

[`TransformedDistribution(...)`](../tfp/edward2/TransformedDistribution.md): Create a random variable for TransformedDistribution.

[`Uniform(...)`](../tfp/edward2/Uniform.md): Create a random variable for Uniform.

[`VectorDeterministic(...)`](../tfp/edward2/VectorDeterministic.md): Create a random variable for VectorDeterministic.

[`VectorDiffeomixture(...)`](../tfp/edward2/VectorDiffeomixture.md): Create a random variable for VectorDiffeomixture.

[`VectorExponentialDiag(...)`](../tfp/edward2/VectorExponentialDiag.md): Create a random variable for VectorExponentialDiag.

[`VectorLaplaceDiag(...)`](../tfp/edward2/VectorLaplaceDiag.md): Create a random variable for VectorLaplaceDiag.

[`VectorSinhArcsinhDiag(...)`](../tfp/edward2/VectorSinhArcsinhDiag.md): Create a random variable for VectorSinhArcsinhDiag.

[`Wishart(...)`](../tfp/edward2/Wishart.md): Create a random variable for Wishart.

[`as_random_variable(...)`](../tfp/edward2/as_random_variable.md): Wrap an existing distribution as a traceable random variable.

[`get_next_interceptor(...)`](../tfp/edward2/get_next_interceptor.md): Yields the top-most interceptor on the thread-local interceptor stack.

[`interceptable(...)`](../tfp/edward2/interceptable.md): Decorator that wraps `func` so that its execution is intercepted.

[`interception(...)`](../tfp/edward2/interception.md): Python context manager for interception.

[`make_log_joint_fn(...)`](../tfp/edward2/make_log_joint_fn.md): Takes Edward probabilistic program and returns its log joint function.

[`tape(...)`](../tfp/edward2/tape.md): Context manager for recording interceptable executions onto a tape.

